vehicle branch on ubuntu Again:l
1 1

20 posts in this topic

Recommended Posts

Hello guys!

i can start my ubuntu server a few days ago with the vehicle branch.. that was the v40.6
there is now a new patch, the 41.2, but i failed something:S i cant get back to 40+ patch, just the 38.30....

here is my command line (this is what i used and it works fine on 40.6) :
## SteamCMD Settings
# Server appid
appid="380870"
# Steam App Branch Select
# Allows to opt into the various Steam app branches. Default branch is "".
# Example: "-beta latest_experimental"
branch="-beta vehicle"

i tried this, i tried iwillbackupmysave, but my version still stucked in 38.30:S  
what can i do? thanx a lot,

best regards;)

Share this post


Link to post
Share on other sites

ohh thx u Again:P:P

but now i realised my problem is more strange than i think... i just saw ive been removed from the vehicle test branch on my pc (steam) and i need to write the pw (workinprogress) and this branch available for me again.. yaay! but! i can join to my server (another pc with linux) only my admin char:o tried to create more but "your files doesnt match..." wtf?!:D i think i have the same files with my fresh generated admin char and fresh norm char...or not?? i have no idea:/

Share this post


Link to post
Share on other sites

Hello,

 

I force it with:

 

./steamcmd.sh +login anonymous +force_install_dir SERVERFILESDIR +app_update 380870 -beta iwillbackupmysave -betapassword iaccepttheconsequences validate +quit

 

But seems to have some error with this solution, i hope they fix this soon!

Share this post


Link to post
Share on other sites
46 minutes ago, Dhraax said:

Hello,

 

I force it with:

 


./steamcmd.sh +login anonymous +force_install_dir SERVERFILESDIR +app_update 380870 -beta iwillbackupmysave -betapassword iaccepttheconsequences validate +quit

 

But seems to have some error with this solution, i hope they fix this soon!

im using linux game servers (LGSM) scripts, i dont need to use steam cmd, this scrips handle it, but i have this cfg file where i can edit branches etc. i wrote the beta+pw but nothing happens:S now im gona reinstall the full server but thx the suggestion:)

Share this post


Link to post
Share on other sites
5 minutes ago, Dhraax said:

I'm use LGSM too, but since the "branch" param doesnt work i force the installation and works xD

whaaaaaat :D how the hack:D do u left the branch"" line empty?

Share this post


Link to post
Share on other sites
7 minutes ago, Dhraax said:

Yes, i just did the same as the /pzserver update do, but wrote the whole command, its the same thing

damn i dont understand:S im just tried this and still the fckin 38.30:S  current version: 2308099... 

Share this post


Link to post
Share on other sites

@lemmy101

 

Thank you for your answer but, i'm using the iwbums and cant update from the lgsm.

 

I trying with:

 

branch="-beta iwbums"

branch="-beta iwillbackupmysave"

branch="-beta iwillbackupmysave -betapassword iaccepttheconsequences validate"

 

But no one its working

 

Share this post


Link to post
Share on other sites

Works just fine for me now (seems like the dedicated server wasn't pushed at first).

My branch line in lgsm looks as follows:

branch="-beta iwillbackupmysave -betapassword iaccepttheconsequences"

 

Share this post


Link to post
Share on other sites
23 minutes ago, Dr_Cox1911 said:

Works just fine for me now (seems like the dedicated server wasn't pushed at first).

My branch line in lgsm looks as follows:


branch="-beta iwillbackupmysave -betapassword iaccepttheconsequences"

 

 

i used this line in my cfg, but doesn't works for me:S that was the reason why i ask here:D
Dhraax's suggestion works now:
./steamcmd.sh +login anonymous +force_install_dir SERVERFILESDIR +app_update 380870 -beta iwillbackupmysave -betapassword iaccepttheconsequences validate +quit

 

but i have another problem ffs:P i write another topic for that, so if u had any idea @Dr_Cox1911 pls help me:D (cpu usage)

 

Share this post


Link to post
Share on other sites

As stated in my posts above: at first it didn't work with the branch line because the linux dedicated server wasn't properly distributed through steam. If you alter your branch line now it works just fine.

Share this post


Link to post
Share on other sites

Now i can UPDATE with "fu" but.. if i don't wipe the server never pass this part on the start:

 

 

1523419800215 erosion: reading /home/pzserver/Zomboid/Saves/Multiplayer/pzserver/erosion.ini
1523419806672 Loading: media/maps/Muldraugh, KY/objects.lua
1523419807057 can't find map objects file: media/maps/West Point, KY/objects.lua
1523419807058 can't find map objects file: media/maps/Rosewood, KY/objects.lua
1523419807058 can't find map objects file: media/maps/Riverside, KY/objects.lua

And after the wipe / softreset start with out errors, but... the players cant connect they have the same problem on the CMD. I try to delete the media/maps/ after the game/client update but the problem remains.

Any ideas?

Share this post


Link to post
Share on other sites
On 2018. 04. 11. at 2:59 PM, Dhraax said:

Now i can UPDATE with "fu" but.. if i don't wipe the server never pass this part on the start:

 

 


1523419800215 erosion: reading /home/pzserver/Zomboid/Saves/Multiplayer/pzserver/erosion.ini
1523419806672 Loading: media/maps/Muldraugh, KY/objects.lua
1523419807057 can't find map objects file: media/maps/West Point, KY/objects.lua
1523419807058 can't find map objects file: media/maps/Rosewood, KY/objects.lua
1523419807058 can't find map objects file: media/maps/Riverside, KY/objects.lua

And after the wipe / softreset start with out errors, but... the players cant connect they have the same problem on the CMD. I try to delete the media/maps/ after the game/client update but the problem remains.

Any ideas?

try to delete the full save folder, or reinstall the server. if u using lgsm too, i can handle my update problem with delete the password part at the branch, coz the force update command cry for "wrong pw"
branch:"-beta iwillbackupmysave"
./'pzserver' force-update

 

UPDATE: 
Now i can update with the force update command without the branch line in the cfg, so i leave that empty. (branch:"")
it works at the new patch and don't need to wipe;)

Edited by zOrg

Share this post


Link to post
Share on other sites

I'm still have the same error. I can UPDATE but, players cant connect:

 

erosion: reading /home/pzserver/Zomboid/Saves/Multiplayer/pzserver/erosion.ini
Loading: media/maps/Muldraugh, KY/objects.lua

 

That msg remains on the CMD.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
1 1